%define debug_package %{nil}

Name:       raspberrypi-firmware-nonfree
Version:    20230210
Release:    1%{?dist}
Summary:    Firmware for Rasbperry Pi Wi-Fi

BuildArch:  noarch

%global workdir debian/config

License:    binary-redist-Broadcom-wifi
URL:        https://github.com/Leuca/firmware-nonfree/tree/bullseye/debian/config/brcm80211/brcm
VCS:        git+git@github.com:Leuca/firmware-nonfree.git#702a787a7bf97ff11f896b777331df237753fb59:

Source:     firmware-nonfree-702a787a.tar.gz

%description
Binary firmware for Raspberry Pi wireless drivers in the Linux kernel.
This package depends on both free and non-free firmware which may
be used with drivers in the Linux kernel.

%prep
%setup -T -b 0 -q -n firmware-nonfree

%install
mkdir -p %{buildroot}%{_prefix}/lib/firmware/cypress
mkdir %{buildroot}%{_prefix}/lib/firmware/brcm

# Install Cypress files
for cypress_file in $( ls %{workdir}/brcm80211/cypress );
do
	cp %{workdir}/brcm80211/cypress/$cypress_file %{buildroot}%{_prefix}/lib/firmware/cypress
	echo "%{_prefix}/lib/firmware/cypress/$cypress_file" >> file_list.txt
done

# Install Broadcom files
for brcm_file in $( ls %{workdir}/brcm80211/brcm );
do
	cp -P %{workdir}/brcm80211/brcm/$brcm_file %{buildroot}%{_prefix}/lib/firmware/brcm
	echo "%{_prefix}/lib/firmware/brcm/$brcm_file" >> file_list.txt
done

%files -f file_list.txt
%license debian/copyright

%changelog
